[android-components](../../../index.md) / [mozilla.components.concept.engine](../../index.md) / [HitResult](../index.md) / [IMAGE_SRC](./index.md)

# IMAGE_SRC

`data class IMAGE_SRC : `[`HitResult`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/HitResult.kt#L36)

If the HTML element was of type 'HTMLImageElement' and contained a URI.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `IMAGE_SRC(src: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`, uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>If the HTML element was of type 'HTMLImageElement' and contained a URI. |

### Properties

| Name | Summary |
|---|---|
| [src](src.md) | `val src: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
| [uri](uri.md) | `val uri: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) |
